<template>
  <div class="fixed-footer">
    <div class="fixed-footer__content">
      <slot></slot>
    </div>
    <div v-if="closable" class="fixed-footer__close">
      <button type="button" class="btn-close" aria-label="Close" @click="onClick" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'FixedFooter',
  emits: ['close'],
  props: {
    closable: { type: Boolean, default: true },
  },
  setup(_, context) {
    const onClick = () => {
      context.emit('close')
    }

    return {
      onClick,
    }
  },
}
</script>

<style lang="scss">
@use '../sass/vars';

.fixed-footer {
  position: fixed;
  left: 0;
  bottom: 0;
  display: flex;
  width: 100%;
  min-height: vars.$footerHeight;
  box-sizing: border-box;
  padding: 0.5em;
  background-color: vars.$panelColor !important;
}

.fixed-footer__content {
  flex-grow: 1;
}

.fixed-footer__close {
  flex-shrink: 1;
}

.dark {
  .fixed-footer {
    background-color: vars.$darkPanelColor !important;
  }
}
</style>
